学UG二次开发就上UG网:
UG二次开发拉伸UG函数:UF_MODL_create_extruded(),先创建一条直线然后把其拉伸成片体;
UG二次开发
拉伸片体C++源代码:
- /* TODO: Add your application code here */
- /*中磊国际模具培训-创建直线拉伸功能*/
- tag_t ug; //实体声明
- UF_CURVE_line_t line_coords; //创建直线函数
- line_coords.start_point[0] = 0; //创建点起始坐标
- line_coords.start_point[1] = 0;
- line_coords.start_point[2] = 0;
- line_coords.end_point[0] = 20; //创建点终止坐标
- line_coords.end_point[1] = 20;
- line_coords.end_point[2] = 0;
- UF_CURVE_create_line(&line_coords, &ug); //由两点生成一条直线
- uf_list_p_t obj, features; //链表
- UF_MODL_create_list(&obj); // 创建链表
- UF_MODL_put_list_item(obj, ug); // 把创建的直线加入到链表
- char * taper_angle = "0.0"; //锥角
- char * limit[2] = { "0", "20" }; //拉伸开始与结束值
- double point[3] = { 0, 0, 0 }; //点坐标(本例是使用已创建的直线进行拉伸)
- double direction[3] = { 0, 0, 1 }; //拉伸失量
- UF_FEATURE_SIGN sign = UF_NULLSIGN; //创建新几何实体
- UF_MODL_create_extruded(obj, taper_angle, limit, point, direction, sign, &features);//拉伸特征
-
- /* Terminate the API environment */
复制代码
|